Loading...
Searching...
No Matches
Gfx::LightLocations Struct Reference

## Public Attributes

GLint | enabled = -1
| true enables light
GLint | type = -1
| Light type.
GLint | position = -1
| Position or direction vector.
GLint | ambient = -1
| Ambient color.
GLint | diffuse = -1
| Diffuse color.
GLint | specular = -1
| Specular color.
GLint | attenuation = -1
| Attenuation.
GLint | spotDirection = -1
| Spot light direction.
GLint | spotExponent = -1
| Spot light exponent.
GLint | spotCutoff = -1
| Spot light cutoff.

## Member Data Documentation

## enabled

GLint Gfx::LightLocations::enabled = -1

true enables light

## type

GLint Gfx::LightLocations::type = -1

Light type.

## position

GLint Gfx::LightLocations::position = -1

Position or direction vector.

## ambient

GLint Gfx::LightLocations::ambient = -1

Ambient color.

## diffuse

GLint Gfx::LightLocations::diffuse = -1

Diffuse color.

## specular

GLint Gfx::LightLocations::specular = -1

Specular color.

## attenuation

GLint Gfx::LightLocations::attenuation = -1

Attenuation.

## spotDirection

GLint Gfx::LightLocations::spotDirection = -1

Spot light direction.

## spotExponent

GLint Gfx::LightLocations::spotExponent = -1

Spot light exponent.

## spotCutoff

GLint Gfx::LightLocations::spotCutoff = -1

Spot light cutoff.

The documentation for this struct was generated from the following file:

- src/graphics/opengl/glutil.h